For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dropbox Sign WebSDKsSign Up
DocumentationAPIChangelog
DocumentationAPIChangelog
  • API Quickstart
  • API Reference
    • Welcome
    • Authentication
    • Account
    • Signature Request
    • Template
    • Bulk Send Job
      • GETGet Bulk Send Job
      • GETList Bulk Send Jobs
    • Report
    • Team
    • Unclaimed Draft
    • Embedded
    • API App
    • Fax
    • Fax Line
  • Manual Reference Pages
    • Warnings and Errors
    • Constants
    • Search
    • Premium Branding
    • Expiration
    • Glossary
LogoLogo
Dropbox Sign WebSDKsSign Up
API ReferenceBulk Send Job

Get Bulk Send Job

||View as Markdown|
GET
https://api.hellosign.com/v3/bulk_send_job/:bulk_send_job_id
GET
/v3/bulk_send_job/:bulk_send_job_id
$curl -X GET 'https://api.hellosign.com/v3/bulk_send_job/{bulk_send_job_id}' \
> -u 'YOUR_API_KEY:'
1{
2 "bulk_send_job": {
3 "bulk_send_job_id": "6e683bc0369ba3d5b6f43c2c22a8031dbf6bd174",
4 "total": 1,
5 "is_creator": true,
6 "created_at": 1532640962
7 },
8 "list_info": {
9 "num_pages": 1,
10 "num_results": 1,
11 "page": 1,
12 "page_size": 20
13 },
14 "signature_requests": [
15 {
16 "bulk_send_job_id": "6e683bc0369ba3d5b6f43c2c22a8031dbf6bd174",
17 "cc_email_addresses": [],
18 "custom_fields": [],
19 "details_url": "https://app.hellosign.com/home/manage?guid=fa5c8a0b0f492d768749333ad6fcc214c111e967",
20 "has_error": false,
21 "is_complete": true,
22 "is_declined": false,
23 "message": "Please sign and return.",
24 "requester_email_address": "me@dropboxsign.com",
25 "response_data": [
26 {
27 "type": "checkbox",
28 "api_id": "80c678_1",
29 "signature_id": "78caf2a1d01cd39cea2bc1cbb340dac3",
30 "name": "Needs Express Shipping",
31 "value": true
32 },
33 {
34 "type": "text",
35 "api_id": "80c678_2",
36 "signature_id": "78caf2a1d01cd39cea2bc1cbb340dac3",
37 "name": "Shipping Address",
38 "value": "1212 Park Avenue"
39 },
40 {
41 "type": "text",
42 "api_id": "80c678_3",
43 "signature_id": "78caf2a1d01cd39cea2bc1cbb340dac3",
44 "name": "DateSigned",
45 "value": "09/01/2012"
46 }
47 ],
48 "signature_request_id": "fa5c8a0b0f492d768749333ad6fcc214c111e967",
49 "signatures": [
50 {
51 "signature_id": "78caf2a1d01cd39cea2bc1cbb340dac3",
52 "signer_email_address": "john@example.com",
53 "signer_name": "John Doe",
54 "signer_role": null,
55 "order": null,
56 "status_code": "signed",
57 "signed_at": 1346521550,
58 "last_viewed_at": 1346521483,
59 "last_reminded_at": null,
60 "has_pin": false
61 }
62 ],
63 "signing_redirect_url": null,
64 "signing_url": null,
65 "subject": "Purchase Agreement",
66 "title": "Purchase Agreement"
67 }
68 ]
69}

Returns the status of the BulkSendJob and its SignatureRequests specified by the bulk_send_job_id parameter.

Was this page helpful?
Previous

Bulk Send Job

Next

List Bulk Send Jobs

Built with

Authentication

AuthorizationBasic

Your API key can be used to make calls to the Dropbox Sign API. See Authentication for more information. ✅ Supported by Try it console (calls sent in test_mode only).

OR
AuthorizationBearer
You can use an Access Token issued through an OAuth flow to send calls to the Dropbox Sign API from your app. The access scopes required by this endpoint are listed in the gray box above. See [Authentication](/api/reference/authentication) for more information. ❌ **Not supported** by Try it console.

Path parameters

bulk_send_job_idstringRequired
The id of the BulkSendJob to retrieve.

Query parameters

pageintegerOptionalDefaults to 1

Which page number of the BulkSendJob list to return. Defaults to 1.

page_sizeintegerOptionalDefaults to 20

Number of objects to be returned per page. Must be between 1 and 100. Default is 20.

Response headers

X-RateLimit-Limitinteger
The maximum number of requests per hour that you can make.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-Ratelimit-Resetinteger
The Unix time at which the rate limit will reset to its maximum.

Response

successful operation
bulk_send_jobobject
Contains information about the BulkSendJob such as when it was created and how many signature requests are queued.
list_infoobject
Contains pagination information about the data returned.
signature_requestslist of objects
Contains information about the Signature Requests sent in bulk.
warningslist of objects
A list of warnings.

Errors

4XX
Client Request Error

You can use an Access Token issued through an OAuth flow to send calls to the Dropbox Sign API from your app. The access scopes required by this endpoint are listed in the gray box above. See Authentication for more information. ❌ Not supported by Try it console.